import React from 'react'
import './hint-view.scss'
import { handleConfirm, defaultTitle, defaultContent } from './hint-view.js'

function HintView({ show, onClose, title = defaultTitle, content = defaultContent }) {
  if (!show) {
    return null
  }

  return (
    <div className="alert-container">
      <div className="alert-bg">
        <div className="title">
          <label>{title}</label>
        </div>
        <div className="content">
          <label>{content}</label>
        </div>
      </div>
    </div>
  )
}

export default HintView
